## gsequencer 6.13.5

=== debian/changelog ===
gsequencer (6.13.5-1ubuntu1) oracular; urgency=medium

  * Fix autopkgtests following dpkg changes (LP: #2071468)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Jun 2024 08:36:20 -0400

gsequencer (6.13.5-1) unstable; urgency=medium

  * New upstream version 6.13.5

 -- Joël Krähemann <jkraehemann@gmail.com>  Mon, 20 May 2024 06:49:25 +0200

gsequencer (6.12.1-1) unstable; urgency=medium

  * New upstream version 6.12.1
  * updated libags6t64.symbols because new symbols available

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 10 May 2024 20:54:57 +0200

gsequencer (6.10.1-1) unstable; urgency=medium

  * New upstream version 6.10.1
  * Update symbols files

 -- Joël Krähemann <jkraehemann@gmail.com>  Fri, 03 May 2024 13:01:51 +0200
