## gsequencer 6.16.16

=== debian/changelog ===
gsequencer (6.16.16-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.16.16
    + fixed FTBFS with gcc-14 by using Modern C (closes: #1075049)
  * updated libags-audio6t64.symbols because new symbols available
  * new upstream signing key

 -- Joel Kraehemann <jkraehemann@gmail.com>  Fri, 26 Jul 2024 07:31:25 +0200
