## gsequencer 6.16.23

=== debian/changelog ===
gsequencer (6.16.23-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 6.16.23

  [ Mattia Rizzolo ]
  * updated libags-audio6t64.symbols because new symbols available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Tue, 15 Oct 2024 11:15:14 +0200

gsequencer (6.16.22-1) unstable; urgency=medium

  * New upstream version 6.16.22
  * updated libags-audio6t64.symbols because new symbols available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 23 Sep 2024 07:22:20 +0200
