## gsequencer 7.5.1

=== debian/changelog ===
gsequencer (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1
  * updated libags7t64.symbols because new functions available
  * updated libags-audio7t64.symbols because new functions available
  * updated libags-gui7t64.symbols because new functions available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 13 Jan 2025 13:24:47 +0100

gsequencer (7.2.4-1) unstable; urgency=medium

  * New upstream version 7.2.4
  * update libags-audio7t64.symbols because new symbols available
  * Upload to unstable

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 10 Nov 2024 05:05:30 +0100

gsequencer (7.1.9-1) experimental; urgency=medium

  * New upstream version 7.1.9
  * update program and library version to 7.0, including symbols, etc

 -- Joel Kraehemann <jkraehemann@gmail.com>  Mon, 04 Nov 2024 16:00:42 +0100
