=== debian/control ===
--- 
+++ 
@@ -98,10 +98,10 @@
  This package contains architecture-independent supporting data files for use
  with GSequencer, such as l10n support files.
 
-Package: libags6t64
+Package: libags7t64
 Provides: ${t64:Provides}
-Replaces: libags6
-Breaks: libags6 (<< ${source:Version})
+Replaces: libags7
+Breaks: libags7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -115,17 +115,17 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio6t64
+Package: libags-audio7t64
 Provides: ${t64:Provides}
-Replaces: libags-audio6
-Breaks: libags-audio6 (<< ${source:Version})
+Replaces: libags-audio7
+Breaks: libags-audio7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags6t64 (= ${binary:Version}),
+ libags7t64 (= ${binary:Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
@@ -134,17 +134,17 @@
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui6t64
+Package: libags-gui7t64
 Provides: ${t64:Provides}
-Replaces: libags-gui6
-Breaks: libags-gui6 (<< ${source:Version})
+Replaces: libags-gui7
+Breaks: libags-gui7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags6t64 (= ${binary:Version}),
+ libags7t64 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
  libags_gui is a widget library built upon Gtk+-4.0.
  It contains widgets like
@@ -160,8 +160,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-ags-6.0 (= ${binary:Version}),
- libags6t64 (= ${binary:Version}),
+ gir1.2-ags-7.0 (= ${binary:Version}),
+ libags7t64 (= ${binary:Version}),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -179,9 +179,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsaudio-6.0 (= ${binary:Version}),
+ gir1.2-agsaudio-7.0 (= ${binary:Version}),
  libags-dev,
- libags-audio6t64 (= ${binary:Version}),
+ libags-audio7t64 (= ${binary:Version}),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -197,9 +197,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsgui-6.0 (= ${binary:Version}),
+ gir1.2-agsgui-7.0 (= ${binary:Version}),
  libags-dev,
- libags-gui6t64 (= ${binary:Version}),
+ libags-gui7t64 (= ${binary:Version}),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-4.0.
@@ -207,7 +207,7 @@
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
-Package: gir1.2-ags-6.0
+Package: gir1.2-ags-7.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -224,7 +224,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsaudio-6.0
+Package: gir1.2-agsaudio-7.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -239,7 +239,7 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsgui-6.0
+Package: gir1.2-agsgui-7.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
