## gsequencer 7.5.5

=== debian/changelog ===
gsequencer (7.5.5-1) unstable; urgency=medium

  [ Joel Kraehemann ]
  * New upstream version 7.5.5
  * updated symbols file dependencies after the t64 rename.  (closes: #1093447)

  [ Mattia Rizzolo ]
  * Drop all of the Provides/Breaks/Replaces related to the t64 transition,
    as they are unneeded since the latest SONAME bump.

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 19 Jan 2025 19:43:13 +0100
