## gsequencer 7.6.10

=== debian/changelog ===
gsequencer (7.6.10-1) unstable; urgency=medium

  * New upstream version 7.6.10
    + Fix FTBFS with GCC-15 closes: #1096784
  * updated libags-audio7t64.symbols because new function available

 -- Joel Kraehemann <jkraehemann@gmail.com>  Sun, 09 Mar 2025 11:35:02 +0100
