## gsequencer 7.7.5

=== debian/changelog ===
gsequencer (7.7.5-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on removed oss4-dev
  * Add explicit build-dependenct on libcrypt-dev (Closes: #1106966)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 22:03:11 +0200

gsequencer (7.7.5-1) unstable; urgency=medium

  * New upstream version 7.7.5.
    + Fix documentation link to external third party.  closes: #1100850
  * updated libags-audio7t64.symbols because new functions available
  * updated upstream signing key

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 12 Apr 2025 20:56:26 +0200
