=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  ladspa-sdk,
  libasound2-dev [linux-any],
  libcairo2-dev,
+ libcrypt-dev,
  libcunit1-dev,
  libfftw3-dev,
  libgirepository1.0-dev,
@@ -36,7 +37,6 @@
  libxml2-dev,
  libjson-glib-dev,
  lv2-dev,
- oss4-dev [kfreebsd-any],
  pkgconf,
  uuid-dev,
  xauth,
@@ -99,9 +99,6 @@
  with GSequencer, such as l10n support files.
 
 Package: libags7t64
-Provides: ${t64:Provides}
-Replaces: libags7
-Breaks: libags7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -116,9 +113,6 @@
  behaviour.
 
 Package: libags-audio7t64
-Provides: ${t64:Provides}
-Replaces: libags-audio7
-Breaks: libags-audio7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -135,9 +129,6 @@
  plugin support. Audio data is processed multi-threaded.
 
 Package: libags-gui7t64
-Provides: ${t64:Provides}
-Replaces: libags-gui7
-Breaks: libags-gui7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
