=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	$(MAKE) DESTDIR=$$(pwd)/debian/tmp pdf
 
 override_dh_auto_test:
-	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test
+	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test -- CFLAGS="-fpermissive -Wno-error=incompatible-pointer-types -Wno-error=pedantic $(dpkg-buildflags --get CFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install --no-parallel
