=== debian/tests/control ===
Tests: ags-integration-unit-test
Depends: @builddeps@,
	 dpkg-dev,
	 fakeroot,
	 parallel,
	 cmt,
	 swh-lv2,
	 fluid-soundfont-gm,
	 hydrogen-drumkits,
	 gsequencer,
	 libags-dev,
	 libags-audio-dev,
	 libags-gui-dev,
	 pulseaudio,
Restrictions: isolation-container, allow-stderr

Tests: ags-integration-functional-test
Depends: @builddeps@,
	 dpkg-dev,
	 fakeroot,
	 parallel,
	 libxtst-dev,
	 cmt,
	 swh-lv2,
	 invada-studio-plugins-lv2,
	 calf-plugins,
	 fluid-soundfont-gm,
	 hydrogen-drumkits,
	 gsequencer,
	 libags-dev,
	 libags-audio-dev,
	 libags-gui-dev,
	 pulseaudio,
Restrictions: isolation-container, allow-stderr, flaky
