## gsequencer 8.2.9

=== meson_options.txt ===
# Plugins
# TODO: move all options here
# The options can be reconfigured inside build dir using
# ex. meson configure -Dalsa=false
option('alsa', type: 'boolean', value: false,
       description: 'Enable Linux alsa build')
option('w32api', type: 'boolean', value: false,
       description: 'Enable Windows build')
option('w32-exe-env', type: 'boolean', value: false,
       description: 'Enable Windows exe environment')
option('osxapi', type: 'boolean', value: false,
       description: 'Enable OSX build')
option('osx-dmg-env', type: 'boolean', value: false,
       description: 'Enable OS X DMG environment')
option('oss', type: 'boolean', value: false,
       description: 'Enable OSS')
option('core_audio', type: 'boolean', value: false,
       description: 'Enable core audio (OSX)')
option('jack', type: 'boolean', value: false,
       description: 'Enable jack')
option('pulse', type: 'boolean', value: false,
       description: 'Enable pulse')
option('wasapi', type: 'boolean', value: false,
       description: 'Enable wasapi (Windows)')
option('quartz', type: 'boolean', value: false,
       description: 'Enable quartz')
option('gstreamer', type: 'boolean', value: false,
       description: 'Enable gstreamer')
option('poppler', type: 'boolean', value: false,
       description: 'Enable poppler')
option('gtk_unix_print', type: 'boolean', value: false,
       description: 'Enable gtk unix print')

option('vst3', type: 'boolean', value: false,
       description: 'Enable VST3')

option('audio-unit-plugins', type: 'boolean', value: false,
       description: 'Enable AUDIO UNIT plugins')

option('gtk_doc', type: 'boolean', value: 'false',
       description : 'Build API reference and tools documentation')

option('introspection', type: 'feature', value: 'auto', yield: true,
       description : 'Build introspection data (requires gobject-introspection)')

option('man_pages', type: 'boolean', value: 'false',
       description : 'Build man pages for installed tools')

option('online_help', type: 'boolean', value: 'false',
       description : 'Build online help')
