=== debian/changelog ===
gsequencer (8.2.9-1) experimental; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 8.2.9
    + Fixed FTBFS with make --shuffle=reverse (Closes: #1105395)
  * libags8 added lintian override exit-in-shared-library, because it is a
    framework function that you can override
  * updated libags8t64.symbols because new functions available
  * updated libags-audio8t64.symbols because new functions available
  * updated libags-gui8t64.symbols because new functions available
  * made the gir dependencies Multi-Arch safe (Closes: #1118833)

  [ Mattia Rizzolo ]
  * drop the obsolete build-dependency  oss4-dev [kfreebsd-any]

 -- Joël Krähemann <jkraehemann@gmail.com>  Tue, 13 Jan 2026 09:25:53 +0100

gsequencer (8.1.5-1) experimental; urgency=medium

  * New upstream version 8.1.5
  * Rename library package names due to new major release

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 28 Aug 2025 13:41:38 +0200
