=== debian/control ===
--- 
+++ 
@@ -11,6 +11,15 @@
  dssi-dev,
  fop,
  gettext,
+ gir1.2-gio-2.0-dev,
+ gir1.2-gobject-2.0-dev,
+ gir1.2-gudev-1.0-dev,
+ gir1.2-gtk-4.0-dev,
+ gir1.2-soup-3.0-dev,
+ gir1.2-gst-1.0-dev,
+ gir1.2-gstbase-1.0-dev,
+ gir1.2-libxml2-2.0-dev,
+ gobject-introspection (>= 1.80),
  gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
@@ -21,13 +30,11 @@
  libcrypt-dev,
  libcunit1-dev,
  libfftw3-dev,
- libgirepository1.0-dev,
  libgstreamer1.0-dev,
  libgstreamer-plugins-base1.0-dev,
  libgtk-4-dev,
  libinstpatch-dev,
  libjack-jackd2-dev | libjack-dev,
- liboss4-salsa-dev [!linux-any],
  libpoppler-glib-dev,
  libpulse-dev,
  libsamplerate-dev,
@@ -98,7 +105,7 @@
  This package contains architecture-independent supporting data files for use
  with GSequencer, such as l10n support files.
 
-Package: libags7t64
+Package: libags8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -112,14 +119,14 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio7t64
+Package: libags-audio8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags7t64 (= ${binary:Version}),
+ libags8 (= ${binary:Version}),
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-bad,
@@ -128,14 +135,14 @@
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui7t64
+Package: libags-gui8
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libags7t64 (= ${binary:Version}),
+ libags8 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
  libags_gui is a widget library built upon Gtk+-4.0.
  It contains widgets like
@@ -151,8 +158,9 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-ags-7.0 (= ${binary:Version}),
- libags7t64 (= ${binary:Version}),
+ ${gir:Depends},
+ libags8 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -170,9 +178,10 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsaudio-7.0 (= ${binary:Version}),
+ ${gir:Depends},
  libags-dev,
- libags-audio7t64 (= ${binary:Version}),
+ libags-audio8 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -188,9 +197,10 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- gir1.2-agsgui-7.0 (= ${binary:Version}),
+ ${gir:Depends},
  libags-dev,
- libags-gui7t64 (= ${binary:Version}),
+ libags-gui8 (= ${binary:Version}),
+Provides: ${gir:Provides}
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-4.0.
@@ -198,13 +208,14 @@
  This package includes the needed header files to develop with
  Advanced Gtk+ Sequencer UI widget library.
 
-Package: gir1.2-ags-7.0
+Package: gir1.2-ags-8.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+Provides: ${gir:Provides}
 Description: Advanced Gtk+ Sequencer core library -- gir bindings
  libags is a general purpose application context library built upon GObject
  providing persistence and configuration. It allows you to organize threads in
@@ -215,13 +226,14 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsaudio-7.0
+Package: gir1.2-agsaudio-8.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+Provides: ${gir:Provides}
 Description: Advanced Gtk+ Sequencer audio processing engine library -- gir bindings
  libags_audio is a tree based audio processing library built upon GObject and
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
@@ -230,13 +242,14 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gir1.2-agsgui-7.0
+Package: gir1.2-agsgui-8.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+Provides: ${gir:Provides}
 Description: Advanced Gtk+ Sequencer widget library -- gir bindings
  libags_gui is a widget library built upon Gtk+-4.0.
  .
